package com.fs.his.service.impl;

import java.util.List;
import com.fs.common.utils.DateUtils;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.fs.his.mapper.FsOrcAiRecordMapper;
import com.fs.his.domain.FsOrcAiRecord;
import com.fs.his.service.IFsOrcAiRecordService;

/**
 * ai识别图片记录Service业务层处理
 * 
 * @author fs
 * @date 2026-05-20
 */
@Service
public class FsOrcAiRecordServiceImpl extends ServiceImpl<FsOrcAiRecordMapper, FsOrcAiRecord> implements IFsOrcAiRecordService {

    /**
     * 查询ai识别图片记录
     * 
     * @param id ai识别图片记录主键
     * @return ai识别图片记录
     */
    @Override
    public FsOrcAiRecord selectFsOrcAiRecordById(Long id)
    {
        return baseMapper.selectFsOrcAiRecordById(id);
    }

    /**
     * 查询ai识别图片记录列表
     * 
     * @param fsOrcAiRecord ai识别图片记录
     * @return ai识别图片记录
     */
    @Override
    public List<FsOrcAiRecord> selectFsOrcAiRecordList(FsOrcAiRecord fsOrcAiRecord)
    {
        return baseMapper.selectFsOrcAiRecordList(fsOrcAiRecord);
    }

    /**
     * 新增ai识别图片记录
     * 
     * @param fsOrcAiRecord ai识别图片记录
     * @return 结果
     */
    @Override
    public int insertFsOrcAiRecord(FsOrcAiRecord fsOrcAiRecord)
    {
        fsOrcAiRecord.setCreateTime(DateUtils.getNowDate());
        return baseMapper.insertFsOrcAiRecord(fsOrcAiRecord);
    }

    /**
     * 修改ai识别图片记录
     * 
     * @param fsOrcAiRecord ai识别图片记录
     * @return 结果
     */
    @Override
    public int updateFsOrcAiRecord(FsOrcAiRecord fsOrcAiRecord)
    {
        fsOrcAiRecord.setUpdateTime(DateUtils.getNowDate());
        return baseMapper.updateFsOrcAiRecord(fsOrcAiRecord);
    }

    /**
     * 批量删除ai识别图片记录
     * 
     * @param ids 需要删除的ai识别图片记录主键
     * @return 结果
     */
    @Override
    public int deleteFsOrcAiRecordByIds(Long[] ids)
    {
        return baseMapper.deleteFsOrcAiRecordByIds(ids);
    }

    /**
     * 删除ai识别图片记录信息
     * 
     * @param id ai识别图片记录主键
     * @return 结果
     */
    @Override
    public int deleteFsOrcAiRecordById(Long id)
    {
        return baseMapper.deleteFsOrcAiRecordById(id);
    }
}
